Bug 106206 - RH9 on HP Netserver LH3 with Netraid 3Si
RH9 on HP Netserver LH3 with Netraid 3Si
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-03 12:36 EDT by Giorel
Modified: 2015-01-04 17:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Giorel 2003-10-03 12:36:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20030716

Description of problem:
Mandrake Linux 9.1 installs just fine on the LH3. Whatever the issue is, it has
to do with the RedHat 9
distribution.

To test the theory that a more recent MegaRAID driver is the solution, I  
downloaded and tried installing a couple of RH betas. These were RH Enterprise  
AS3 beta 2 (Taroon), and RH 9.0.93 (Severn). Alas, both failed in the same  
manner as RH9, never getting past the "loading megaraid driver" message on  
installation startup.

Since both betas contain a MegaRAID 2 driver, I don't see any point in trying 
my downloaded Megaraid 2.09 driver from LSI website, either by compiling it into
the kernel or creating a  
driver disk. Do you disagree?

-----------Further Description of Issue-----------------

Michael wrote: "1) What happens if you boot the installer with 'linux apic'?"

A: The same behavior. Intallation hangs at the message "loading megaraid
driver". CTRL_ALT_F4 reveals the same messages (see my earlier attachment).

Michael wrote: "2) The RAID appears to be some Intel part for which we have no
driver, even in the latest beta. It might be I2O compliant, so it might use the
"i2o_block" driver in the latest  
beta. Unfortunately the /usr/share/hwdata/pcitable says the driver for it is
"unknown". I can't find a Megaraid in this sysreport."

A: If you are uncertain which RAID controller is in use, this information was
supplied earlier. It is an HP NetRAID-3Si, which is a clone of the ATI (or LSI
Logic) MegaRAID 438. I have examined the card, I have seen it reported as such
at by the CMOS, and Mandrake reports loading the driver for this card. The
RedHat 9 driver image file (I believe it is "driveblk.img") includes a line for
the NetRAID-3Si.

Note that the LH3 always comes with the on-board HP NetRAID controller. Since
the NetRAID-3Si PCI card is installed on our LH3, the on-board NetRAID is
disabled in the BIOS setup.

Michael wrote: "3) The regular SCSI card in this unit is:
SCSI storage controller: LSI Logic / Symbios Logic (formerly NCR) 53c895 (rev 1)
According to my records, it uses the driver "sym53c8xx" which should be included  
in the distribution."

A: Yes, this is correct. Our LH3 has two SYM53C895 SCSI controllers.

Version-Release number of selected component (if applicable):
sym53c8xx module of kernel 2.4.20-8

How reproducible:
Always

Steps to Reproduce:
1.Install with RedHat 9 OR
2.Install with RedHat Severn OR
3.Install with RedHat Enterprise 3
    

Actual Results:  stops at "loading megaraid driver"

Expected Results:  installation should proceed

Additional info:

I open this bug on behalf of customer, Dave. This issue has been escalated
through support lines including senior staff...and it seems there is nothing
further to do except ask the developers to look into the megaraid driver itself.
 Should you require additional attachments, or the complete report, please drop
us a note.  Also indicate what could be safely publicly posted here. Thank you.
Comment 1 Giorel 2003-10-09 09:54:09 EDT
update please...

this seems to be the case of it finding but cannot loading the right driver.
Comment 2 Dave Jones 2003-10-09 13:03:38 EDT
RHL9 - No updates to megaraid on the cards for the next errata.

Severn - Since the original post, severn kernel got a very large update (Rebase
to 2.4.22), which IIRC brought in an update to this driver.

Taroon - No idea.
Comment 3 acount closed by user 2003-10-09 16:17:08 EDT
2.4.22 doesn't have megaraid nor megaraid2. They were updated into
2.4.22-bk31(aka future 2.4.23-pre7).
Comment 4 Dave Jones 2003-10-10 08:30:22 EDT
Not relevant here, as none of our trees are based on 2.4.23pre7 yet.
Comment 5 Giorel 2003-10-12 07:34:06 EDT
Why would older releases (before 9 and the betas) supposedly work?  Its supposed
to be the same driver
Comment 6 Bugzilla owner 2004-09-30 11:41:34 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.